# {{ ansible_managed }}

version: "3"

services:
  postgres:
    image: "postgres:11-alpine"
    restart: "unless-stopped"
    command: "-c max_connections=300"
    ports:
      - "5432:5432"
    environment:
      POSTGRES_USER: "postgres"
      POSTGRES_PASSWORD: "benchmark"
      POSTGRES_DB: "transaction-log"

  txlog-db:
    image: "nlxio/txlog-db:{{ nlx_transaction_log_version }}"
    command: ["/usr/local/bin/upgrade-db.sh"]
    restart: "on-failure"
    depends_on:
      - "postgres"
    environment:
      PGHOST: "postgres"
      PGUSER: "postgres"
      PGPASSWORD: "benchmark"
      PGDATABASE: "transaction-log"
